module Main (main) where

import System.Environment (getArgs)
import qualified Data.ByteString.Lazy as ByteString
import qualified Data.YAML as YAML
import qualified Data.Text.Lazy.IO as Text
import ImagePage

main :: IO ()
main = do
  [file] <- getArgs
  txt <- ByteString.readFile file
  let Right info = YAML.decode1 txt
  Text.putStr $ make info
